
package com.tmerclub.cloud.order.bo.mongo;

import com.tmerclub.cloud.common.order.vo.OrderItemLangVO;
import org.springframework.data.annotation.Transient;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单退款记录信息
 *
 * @author YXF
 * @date 2022/8/23
 */
public class MongoOrderRefundItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 中文商品名称
     */
    private String spuNameZh;

    /**
     * 英文商品名称
     */
    private String spuNameEn;

    /**
     * 中文sku名称
     */
    private String skuNameZh;

    /**
     * 英文sku名称
     */
    private String skuNameEn;

    /**
     * 商品图片
     */
    private String pic;

    /**
     * 供应商商品名称
     */
    private String supplierSpuName;

    /**
     * 供应商sku名称
     */
    private String supplierSkuName;

    /**
     * 供应商中文商品名称
     */
    private String supplierSpuNameZh;

    /**
     * 供应商英文商品名称
     */
    private String supplierSpuNameEn;

    /**
     * 供应商中文sku名称
     */
    private String supplierSkuNameZh;

    /**
     * 供应商英文sku名称
     */
    private String supplierSkuNameEn;

    /**
     * 供应商商品图片
     */
    private String supplierPic;

    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 产品总价格
     */
    private Long spuTotalAmount;

    /**
     * 商品实际金额
     */
    private Long actualTotal;

    /**
     * 商品实际金额
     */
    private Long refundAmount;

    /**
     * 平台优惠金额
     */
    private Long platformShareReduce;

    /**
     * 退还积分
     */
    private Long refundScore;

    /**
     * 活动id
     */
    private Long activityId;

    /**
     * 活动类型
     */
    private Integer activityType;

    /**
     * 订单项国际化信息
     * @return
     */
    @Transient
    private List<OrderItemLangVO> orderItemLangList;

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public String getSupplierSkuName() {
        return supplierSkuName;
    }

    public void setSupplierSkuName(String supplierSkuName) {
        this.supplierSkuName = supplierSkuName;
    }

    public String getSupplierSpuNameZh() {
        return supplierSpuNameZh;
    }

    public void setSupplierSpuNameZh(String supplierSpuNameZh) {
        this.supplierSpuNameZh = supplierSpuNameZh;
    }

    public String getSupplierSpuNameEn() {
        return supplierSpuNameEn;
    }

    public void setSupplierSpuNameEn(String supplierSpuNameEn) {
        this.supplierSpuNameEn = supplierSpuNameEn;
    }

    public String getSupplierSkuNameZh() {
        return supplierSkuNameZh;
    }

    public void setSupplierSkuNameZh(String supplierSkuNameZh) {
        this.supplierSkuNameZh = supplierSkuNameZh;
    }

    public String getSupplierSkuNameEn() {
        return supplierSkuNameEn;
    }

    public void setSupplierSkuNameEn(String supplierSkuNameEn) {
        this.supplierSkuNameEn = supplierSkuNameEn;
    }

    public String getSupplierPic() {
        return supplierPic;
    }

    public void setSupplierPic(String supplierPic) {
        this.supplierPic = supplierPic;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getSpuNameZh() {
        return spuNameZh;
    }

    public void setSpuNameZh(String spuNameZh) {
        this.spuNameZh = spuNameZh;
    }

    public String getSpuNameEn() {
        return spuNameEn;
    }

    public void setSpuNameEn(String spuNameEn) {
        this.spuNameEn = spuNameEn;
    }

    public String getSkuNameZh() {
        return skuNameZh;
    }

    public void setSkuNameZh(String skuNameZh) {
        this.skuNameZh = skuNameZh;
    }

    public String getSkuNameEn() {
        return skuNameEn;
    }

    public void setSkuNameEn(String skuNameEn) {
        this.skuNameEn = skuNameEn;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Long getSpuTotalAmount() {
        return spuTotalAmount;
    }

    public void setSpuTotalAmount(Long spuTotalAmount) {
        this.spuTotalAmount = spuTotalAmount;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getPlatformShareReduce() {
        return platformShareReduce;
    }

    public void setPlatformShareReduce(Long platformShareReduce) {
        this.platformShareReduce = platformShareReduce;
    }

    public Long getRefundScore() {
        return refundScore;
    }

    public void setRefundScore(Long refundScore) {
        this.refundScore = refundScore;
    }

    public List<OrderItemLangVO> getOrderItemLangList() {
        return orderItemLangList;
    }

    public void setOrderItemLangList(List<OrderItemLangVO> orderItemLangList) {
        this.orderItemLangList = orderItemLangList;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    @Override
    public String toString() {
        return "MongoOrderRefundItemBO{" +
                "orderItemId=" + orderItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", spuNameZh='" + spuNameZh + '\'' +
                ", spuNameEn='" + spuNameEn + '\'' +
                ", skuNameZh='" + skuNameZh + '\'' +
                ", skuNameEn='" + skuNameEn + '\'' +
                ", pic='" + pic + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", count=" + count +
                ", price=" + price +
                ", spuTotalAmount=" + spuTotalAmount +
                ", actualTotal=" + actualTotal +
                ", refundAmount=" + refundAmount +
                ", platformShareReduce=" + platformShareReduce +
                ", refundScore=" + refundScore +
                ", orderItemLangList=" + orderItemLangList +
                ", activityId=" + activityId +
                ", activityType=" + activityType +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                ", supplierSkuName='" + supplierSkuName + '\'' +
                ", supplierSpuNameZh='" + supplierSpuNameZh + '\'' +
                ", supplierSpuNameEn='" + supplierSpuNameEn + '\'' +
                ", supplierSkuNameZh='" + supplierSkuNameZh + '\'' +
                ", supplierSkuNameEn='" + supplierSkuNameEn + '\'' +
                ", supplierPic='" + supplierPic + '\'' +
                '}';
    }
}
